Name:		  madagascar-mpc
Version:	0
Release:	1%{?dist}
Summary:	MpC variant of the Madagascar PDDL Planner

License:	GPLv3+
URL:		  http://research.ics.aalto.fi/software/sat/madagascar/
Source0:	http://research.ics.aalto.fi/software/sat/madagascar/MADAGASCAR.TAR
Patch0:   %{name}.dynamic.patch
Patch1:   %{name}.cflags.patch

BuildRequires: bison
BuildRequires: flex
BuildRequires: gcc-c++

%description
The Madagascar planner (M, Mp, MpC) is a very efficient implementation of the
SAT based techniques for planning. (MpC and M participated in the "agile" track
of the 2014 planning competition and placed respectively 2nd and 3rd, and
Madagascar was one of the components of the portfolio planners IBACOP2 and
IBACOP that placed respectively 1st and 2nd in the "satisficing" track of the
competition.) 

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1

%build
export CFLAGS="%{optflags}"
%make_build -j1


%install
install -D -p MpC %{buildroot}/%{_bindir}/madagascar-mpc

%files
%doc README
%{_bindir}/madagascar-mpc



%changelog
* Sat Jan 27 2018 Till Hofmann <thofmann@fedoraproject.org> - 0-1
- Initial package


